Distribution:	CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		llvm
Version:	2.8
Release:	1
License:	University of Illinois/NCSA Open Source License
URL:		http://www.llvm.org
Group:		Development/Compilers
Summary:	The Low Level Virtual Machine (An Optimizing Compiler Infrastructure)
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686
# rpm picks up strange ocaml dependencies, disabling autoreq
AutoReq:	0

# Sources:
Source:		%{name}-%{version}.tgz

# Patches:

# Requires:

# BuildRequires:
BuildRequires: groff
BuildRequires: ocaml
BuildRequires: ocaml-ocamldoc
BuildRequires: tcl-devel
BuildRequires: tk-devel
BuildRequires: which

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libstdc++-devel
BuildRequires: ocaml-runtime
BuildRequires: perl

%description
LLVM is a compiler infrastructure designed for compile-time, link-time, runtime,
and idle-time optimization of programs from arbitrary programming languages.
LLVM is written in C++ and has been developed since 2000 at the University of
Illinois and Apple. It currently supports compilation of C and C++ programs, 
using front-ends derived from GCC 4.0.1. A new front-end for the C family of
languages is in development. The compiler infrastructure
includes mirror sets of programming tools as well as libraries with equivalent
functionality.

%package	devel
Summary:	%{name} development headers.
Group:		%{group}
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%pre

%preun

%post
ldconfig

%postun
ldconfig

%prep
%setup -qn %{name}-%{version}

%build
%configure \
--enable-optimized \
--enable-assertions \
--disable-debug
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# docs
mkdir -p $RPM_BUILD_ROOT%_datadir/doc/%{name}-%{version}
mv $RPM_BUILD_ROOT%_prefix/docs/llvm/{html,ps} $RPM_BUILD_ROOT%_datadir/doc/%{name}-%{version}
rm -R $RPM_BUILD_ROOT%_prefix/docs

%files
%defattr(-,root,root)
%doc CREDITS.TXT LICENSE.TXT README.txt
%{_bindir}/bugpoint
%{_bindir}/llc
%{_bindir}/lli
%{_bindir}/llvm-ar
%{_bindir}/llvm-as
%{_bindir}/llvm-bcanalyzer
%{_bindir}/llvmc
%{_bindir}/llvm-config
%{_bindir}/llvm-dis
%{_bindir}/llvm-extract
%{_bindir}/llvm-ld
%{_bindir}/llvm-link
%{_bindir}/llvm-nm
%{_bindir}/llvm-prof
%{_bindir}/llvm-ranlib
%{_bindir}/llvm-stub
%{_bindir}/opt
%{_bindir}/tblgen
%{_bindir}/llvm-diff
%{_bindir}/llvm-mc

%{_libdir}/ocaml

%{_mandir}/man1/bugpoint.1.gz
%{_mandir}/man1/lit.1.gz
%{_mandir}/man1/llc.1.gz
%{_mandir}/man1/lli.1.gz
%{_mandir}/man1/llvm-ar.1.gz
%{_mandir}/man1/llvm-as.1.gz
%{_mandir}/man1/llvm-bcanalyzer.1.gz
%{_mandir}/man1/llvmc.1.gz
%{_mandir}/man1/llvm-config.1.gz
%{_mandir}/man1/llvm-diff.1.gz
%{_mandir}/man1/llvm-dis.1.gz
%{_mandir}/man1/llvm-extract.1.gz
%{_mandir}/man1/llvmgcc.1.gz
%{_mandir}/man1/llvmgxx.1.gz
%{_mandir}/man1/llvm-ld.1.gz
%{_mandir}/man1/llvm-link.1.gz
%{_mandir}/man1/llvm-nm.1.gz
%{_mandir}/man1/llvm-prof.1.gz
%{_mandir}/man1/llvm-ranlib.1.gz
%{_mandir}/man1/opt.1.gz
%{_mandir}/man1/tblgen.1.gz

%{_libdir}/libBugpointPasses.so
%{_libdir}/libEnhancedDisassembly.so
%{_libdir}/libLLVMHello.so
%{_libdir}/libLTO.so
%{_libdir}/libprofile_rt.so

%files devel
%defattr(-,root,root)
%{_includedir}/llvm
%{_includedir}/llvm-c
%{_libdir}/libCompilerDriver.a
%{_libdir}/libEnhancedDisassembly.a
%{_libdir}/libllvm.a
%{_libdir}/libLLVMAlphaAsmPrinter.a
%{_libdir}/libLLVMAlphaCodeGen.a
%{_libdir}/libLLVMAlphaInfo.a
%{_libdir}/libLLVMAnalysis.a
%{_libdir}/libllvm_analysis.a
%{_libdir}/libLLVMArchive.a
%{_libdir}/libLLVMARMAsmParser.a
%{_libdir}/libLLVMARMAsmPrinter.a
%{_libdir}/libLLVMARMCodeGen.a
%{_libdir}/libLLVMARMInfo.a
%{_libdir}/libLLVMAsmParser.a
%{_libdir}/libLLVMAsmPrinter.a
%{_libdir}/libLLVMBitReader.a
%{_libdir}/libllvm_bitreader.a
%{_libdir}/libLLVMBitWriter.a
%{_libdir}/libllvm_bitwriter.a
%{_libdir}/libLLVMBlackfinAsmPrinter.a
%{_libdir}/libLLVMBlackfinCodeGen.a
%{_libdir}/libLLVMBlackfinInfo.a
%{_libdir}/libLLVMCBackend.a
%{_libdir}/libLLVMCBackendInfo.a
%{_libdir}/libLLVMCellSPUAsmPrinter.a
%{_libdir}/libLLVMCellSPUCodeGen.a
%{_libdir}/libLLVMCellSPUInfo.a
%{_libdir}/libLLVMCodeGen.a
%{_libdir}/libLLVMCore.a
%{_libdir}/libLLVMCppBackend.a
%{_libdir}/libLLVMCppBackendInfo.a
%{_libdir}/libLLVMExecutionEngine.a
%{_libdir}/libllvm_executionengine.a
%{_libdir}/libLLVMInstCombine.a
%{_libdir}/libLLVMInstrumentation.a
%{_libdir}/libLLVMInterpreter.a
%{_libdir}/libLLVMipa.a
%{_libdir}/libLLVMipo.a
%{_libdir}/libLLVMJIT.a
%{_libdir}/libLLVMLinker.a
%{_libdir}/libLLVMMBlazeAsmPrinter.a
%{_libdir}/libLLVMMBlazeCodeGen.a
%{_libdir}/libLLVMMBlazeInfo.a
%{_libdir}/libLLVMMC.a
%{_libdir}/libLLVMMCParser.a
%{_libdir}/libLLVMMipsAsmPrinter.a
%{_libdir}/libLLVMMipsCodeGen.a
%{_libdir}/libLLVMMipsInfo.a
%{_libdir}/libLLVMMSP430AsmPrinter.a
%{_libdir}/libLLVMMSP430CodeGen.a
%{_libdir}/libLLVMMSP430Info.a
%{_libdir}/libLLVMPIC16AsmPrinter.a
%{_libdir}/libLLVMPIC16CodeGen.a
%{_libdir}/libLLVMPIC16Info.a
%{_libdir}/libLLVMpic16passes.a
%{_libdir}/libLLVMPowerPCAsmPrinter.a
%{_libdir}/libLLVMPowerPCCodeGen.a
%{_libdir}/libLLVMPowerPCInfo.a
%{_libdir}/libLLVMScalarOpts.a
%{_libdir}/libllvm_scalar_opts.a
%{_libdir}/libLLVMSelectionDAG.a
%{_libdir}/libLLVMSparcAsmPrinter.a
%{_libdir}/libLLVMSparcCodeGen.a
%{_libdir}/libLLVMSparcInfo.a
%{_libdir}/libLLVMSupport.a
%{_libdir}/libLLVMSystem.a
%{_libdir}/libLLVMSystemZAsmPrinter.a
%{_libdir}/libLLVMSystemZCodeGen.a
%{_libdir}/libLLVMSystemZInfo.a
%{_libdir}/libLLVMTarget.a
%{_libdir}/libllvm_target.a
%{_libdir}/libLLVMTransformUtils.a
%{_libdir}/libLLVMX86AsmParser.a
%{_libdir}/libLLVMX86AsmPrinter.a
%{_libdir}/libLLVMX86CodeGen.a
%{_libdir}/libLLVMX86Disassembler.a
%{_libdir}/libLLVMARMDisassembler.a
%{_libdir}/libLLVMMCDisassembler.a
%{_libdir}/libLLVMX86Info.a
%{_libdir}/libLLVMXCoreAsmPrinter.a
%{_libdir}/libLLVMXCoreCodeGen.a
%{_libdir}/libLLVMXCoreInfo.a
%{_libdir}/libLTO.a
%{_libdir}/libUnitTestMain.a

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Oct 06 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.8-1
- Version update
* Wed Aug 25 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.7-1
- Version update
* Fri May 29 2009 Christian Wasem <wasem@ccux-linux.de> 2.5-1
- initial CCux package release
